Уязвимость BDU:2019-04352

Дата: 19.09.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-04352.

Наименование уязвимости: Уязвимость набора программного обеспечения для обработки, преобразования и генерации документов Ghostscript, существующая из-за недостаточной проверки входных данных, позволяющая нарушителю выполнить произвольный код.

Описание уязвимости: Уязвимость набора программного обеспечения для обработки, преобразования и генерации документов Ghostscript существует из-за недостаточной проверки входных данных. Эксплуатация уязвимости может позволить нарушителю выполнить произвольный код
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 14.04 LTS | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Novell Inc. OpenSUSE Leap 42.3 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система ООО «РусБИТех-Астра» Astra Linux 1.6 «Смоленск» | Операционная система Debian GNU/Linux 8.0 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Прикладное ПО информационных систем Artifex Software Inc. Ghostscript до 9.25 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1404 LTS | Red Hat Enterprise Linux 7 | Ubuntu 1604 LTS | OpenSUSE Leap 423 | Ubuntu 1804 LTS | Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | OpenSUSE Leap 150 |
Дата выявления: 19.09.2018.
CVSS 2.0: AV:L/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,2)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,8)

Возможные меры по устранению:
Использование рекомендаций:
Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734

Для Ghostscript:
http://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=fb713b3818b52d8a6cf62c951eba2e1795ff9624

Для Debian GNU/Linux:
https://lists.debian.org/debian-lts-announce/2018/09/msg00038.html

Для Ubuntu:
https://usn.ubuntu.com/3773-1/

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/errata/RHSA-2018:3834

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-updates/2018-12/msg00077.html
https://lists.opensuse.org/opensuse-updates/2018-10/msg00022.html
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-17183.

Тип ошибки CWE: CWE-20
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734
http://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=fb713b3818b52d8a6cf62c951eba2e1795ff9624
https://lists.debian.org/debian-lts-announce/2018/09/msg00038.html
https://usn.ubuntu.com/3773-1/
https://access.redhat.com/errata/RHSA-2018:3834
https://bugs.ghostscript.com/show_bug.cgi?id=699708
https://nvd.nist.gov/vuln/detail/CVE-2018-17183
https://lists.opensuse.org/opensuse-updates/2018-12/msg00077.html
https://lists.opensuse.org/opensuse-updates/2018-10/msg00022.html

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *